Bug 155896 - ConnectTimeout option not available
ConnectTimeout option not available
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: openssh (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-25 10:54 EDT by Francisco Jorge
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-25 11:17:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Francisco Jorge 2005-04-25 10:54:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 1.1.4322)

Description of problem:
I would like to use the ssh 'ConnectTimeout' option, but I always receive an error when I try to:

ssh  -o ConnectTimeout=2 1.1.1.1
command-line: line 0: Bad configuration option: ConnectTimeout

Why is this option not available? Is there any way to enable it? Will it be supported in this or any RH Linux distribution?

Version-Release number of selected component (if applicable):
OpenSSH_3.6.1p2, SSH protocols 1.5/2.0, OpenSSL 0x0090701f

How reproducible:
Always

Steps to Reproduce:
1. Type
ssh  -o ConnectTimeout=2 1.1.1.1
  

Actual Results:  You get the error.


Expected Results:  Establish the connection timeout to 2 seconds.

Additional info:
Comment 1 Tomas Mraz 2005-04-25 11:17:32 EDT
This option is available in RHEL 4 - where is openssh version 3.9p1.

This option is not supported by openssh version 3.6.1p2 which is in RHEL3.
Comment 2 Francisco Jorge 2005-04-25 11:39:55 EDT
Thank you very much for the information.

Regards,
Fran
Comment 3 Francisco Jorge 2005-04-26 03:37:45 EDT
Just another question. We do need this option in our ssh client. We have 
thought about compiling a newer version of ssh in our RHE AS v3. Do you think 
that would work?

Thanks,
Fran
Comment 4 Tomas Mraz 2005-04-26 03:44:44 EDT
It should work however it isn't supported of course.

Note You need to log in before you can comment on or make changes to this bug.